Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 1065)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 1066)
@@ -20,11 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Bugfix: It is not allowed to use cloud_scheme = seifert_beheng without 
-!         precipitation in order to save computational resources.
-!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1065 2012-11-22 17:42:36Z hoffmann
+! Bugfix: It is not allowed to use cloud_scheme = seifert_beheng without 
+!         precipitation in order to save computational resources.
 !
 ! 1060 2012-11-21 07:19:51Z raasch
Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 1065)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 1066)
@@ -20,9 +20,11 @@
 ! Current revisions:
 ! -----------------
-! Bugfix: Output of cross sections of ql
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1065 2012-11-22 17:42:36Z hoffmann
+! Bugfix: Output of cross sections of ql
 !
 ! 1053 2012-11-13 17:11:03Z hoffmann
Index: palm/trunk/SOURCE/diffusion_e.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_e.f90	(revision 1065)
+++ palm/trunk/SOURCE/diffusion_e.f90	(revision 1066)
@@ -20,11 +20,13 @@
 ! Current revisions:
 ! -----------------
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1065 2012-11-22 17:42:36Z hoffmann
 ! Enabled the claculation of diss in case of turbulence = .TRUE. (parameterized 
 ! effects of turbulence on autoconversion and accretion in two-moments cloud 
 ! physics scheme). 
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 1065)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 1066)
@@ -23,9 +23,11 @@
 ! Current revisions:
 ! ------------------
-! allocation of diss (dissipation rate) in case of turbulence = .TRUE. added
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1065 2012-11-22 17:42:36Z hoffmann
+! allocation of diss (dissipation rate) in case of turbulence = .TRUE. added
 !
 ! 1053 2012-11-13 17:11:03Z hoffmann
Index: palm/trunk/SOURCE/init_cloud_physics.f90
===================================================================
--- palm/trunk/SOURCE/init_cloud_physics.f90	(revision 1065)
+++ palm/trunk/SOURCE/init_cloud_physics.f90	(revision 1066)
@@ -20,9 +20,11 @@
 ! Current revisions:
 ! -----------------
-! The Courant number of sedimentation can be controlled with c_sedimentation. 
 !
 ! Former revisions:
 ! ------------------
 ! $Id$
+!
+! 1065 2012-11-22 17:42:36Z hoffmann
+! The Courant number of sedimentation can be controlled with c_sedimentation. 
 !
 ! 1053 2012-11-13 17:11:03Z hoffmann
Index: palm/trunk/SOURCE/microphysics.f90
===================================================================
--- palm/trunk/SOURCE/microphysics.f90	(revision 1065)
+++ palm/trunk/SOURCE/microphysics.f90	(revision 1066)
@@ -4,11 +4,13 @@
 ! Current revisions:
 ! -----------------
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1065 2012-11-22 17:42:36Z hoffmann
 ! Sedimentation process implemented according to Stevens and Seifert (2008).
 ! Turbulence effects on autoconversion and accretion added (Seifert, Nuijens 
 ! and Stevens, 2010).
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1053 2012-11-13 17:11:03Z hoffmann
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 1065)
+++ palm/trunk/SOURCE/modules.f90	(revision 1066)
@@ -20,12 +20,14 @@
 ! Current revisions:
 ! -----------------
-! + c_sedimentation, limiter_sedimentation, turbulence, a_1, a_2, a_3, b_1, b_2, 
-! + b_3, c_1, c_2, c_3, beta_cc
-!
-! bottom boundary condition of qr, nr changed from Dirichlet to Neumann
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1065 2012-11-22 17:42:36Z hoffmann
+! + c_sedimentation, limiter_sedimentation, turbulence, a_1, a_2, a_3, b_1, b_2, 
+! + b_3, c_1, c_2, c_3, beta_cc
+!
+! bottom boundary condition of qr, nr changed from Dirichlet to Neumann
 !
 ! 1053 2012-11-13 17:11:03Z hoffmann
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 1065)
+++ palm/trunk/SOURCE/parin.f90	(revision 1066)
@@ -20,10 +20,12 @@
 ! Current revisions:
 ! -----------------
-! +nc, c_sedimentation, limiter_sedimentation, turbulence
-! -mu_constant, mu_constant_value
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1065 2012-11-22 17:42:36Z hoffmann
+! +nc, c_sedimentation, limiter_sedimentation, turbulence
+! -mu_constant, mu_constant_value
 !
 ! 1053 2012-11-13 17:11:03Z hoffmann
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 1065)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 1066)
@@ -20,10 +20,12 @@
 ! Current revisions:
 ! ------------------
-! +nc, c_sedimentation, limiter_sedimentation, turbulence
-! -mu_constant, mu_constant_value
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1065 2012-11-22 17:42:36Z hoffmann
+! +nc, c_sedimentation, limiter_sedimentation, turbulence
+! -mu_constant, mu_constant_value
 !
 ! 1053 2012-11-13 17:11:03Z hoffmann
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 1065)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 1066)
@@ -20,9 +20,11 @@
 ! Current revisions:
 ! -----------------
-! exchange of diss (dissipation rate) in case of turbulence = .TRUE. added
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1065 2012-11-22 17:42:36Z hoffmann
+! exchange of diss (dissipation rate) in case of turbulence = .TRUE. added
 !
 ! 1053 2012-11-13 17:11:03Z hoffmann
Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 1065)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 1066)
@@ -20,10 +20,12 @@
 ! Current revisions:
 ! -----------------
-! +nc, c_sedimentation, turbulence, limiter_sedimentation
-! -mu_constant, mu_constant_value
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1065 2012-11-22 17:42:36Z hoffmann
+! +nc, c_sedimentation, turbulence, limiter_sedimentation
+! -mu_constant, mu_constant_value
 !
 ! 1053 2012-11-13 17:11:03Z hoffmann