Index: palm/trunk/SCRIPTS/batch_nc2vdf
===================================================================
--- palm/trunk/SCRIPTS/batch_nc2vdf	(revision 1067)
+++ palm/trunk/SCRIPTS/batch_nc2vdf	(revision 1067)
@@ -0,0 +1,55 @@
+#!/bin/bash
+#--------------------------------------------------------------------------------#
+# This file is part of PALM.
+#
+# PALM is free software: you can redistribute it and/or modify it under the terms
+# of the GNU General Public License as published by the Free Software Foundation,
+# either version 3 of the License, or (at your option) any later version.
+#
+# PALM is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+# A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# PALM. If not, see <http://www.gnu.org/licenses/>.
+#
+# Copyright 1997-2012  Leibniz University Hannover
+#--------------------------------------------------------------------------------#
+#
+# Current revisions:
+# -----------------
+# Initial revision
+#
+# Former revisions:
+# -----------------
+# $Id$
+#
+# Description:
+# ------------
+# Start script for nc2vdf in batch mode on UV in hannover/berlin. A config file
+# (nc2vdf.config) must be present in the executing directory.
+#--------------------------------------------------------------------------------#
+
+#PBS -N convert
+#PBS -j oe
+#PBS -l walltime=12:00:00
+#PBS -l nodes=1:ppn=1
+#PBS -l feature=uv
+#PBS -l partition=hannover
+#PBS -q smpq
+
+
+eval `/sw/swdist/bin/modulesinit`
+
+
+
+
+
+echo "Start $(date)"
+
+cd $PBS_O_WORKDIR
+
+nc2vdf nc2vdf.config
+
+
+echo "Ende $(date)"
Index: palm/trunk/SCRIPTS/nc2vdf
===================================================================
--- palm/trunk/SCRIPTS/nc2vdf	(revision 1066)
+++ palm/trunk/SCRIPTS/nc2vdf	(revision 1067)
@@ -1,6 +1,23 @@
 #!/bin/ksh
-#------------------------------------------------------------------------------#
+#--------------------------------------------------------------------------------#
+# This file is part of PALM.
+#
+# PALM is free software: you can redistribute it and/or modify it under the terms
+# of the GNU General Public License as published by the Free Software Foundation,
+# either version 3 of the License, or (at your option) any later version.
+#
+# PALM is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+# A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# PALM. If not, see <http://www.gnu.org/licenses/>.
+#
+# Copyright 1997-2012  Leibniz University Hannover
+#--------------------------------------------------------------------------------#
+#
 # Current revisions:
 # -----------------
+# Code put under GNU GPL
 #
 # Former revisions:
@@ -10,5 +27,6 @@
 # Description:
 # ------------
-# Starting script for nc2vdf
+# Starting script for nc2vdf. The script does only work on hicegate2, bicegate2,
+# uv as well as on the server at imuk.
 #------------------------------------------------------------------------------#
 
Index: palm/trunk/SCRIPTS/nc2vdf.config
===================================================================
--- palm/trunk/SCRIPTS/nc2vdf.config	(revision 1067)
+++ palm/trunk/SCRIPTS/nc2vdf.config	(revision 1067)
@@ -0,0 +1,69 @@
+;--------------------------------------------------------------------------------!
+; This file is part of PALM.
+;
+; PALM is free software: you can redistribute it and/or modify it under the terms
+; of the GNU General Public License as published by the Free Software Foundation,
+; either version 3 of the License, or (at your option) any later version.
+;
+; PALM is distributed in the hope that it will be useful, but WITHOUT ANY
+; WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+; A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+;
+; You should have received a copy of the GNU General Public License along with
+; PALM. If not, see <http://www.gnu.org/licenses/>.
+;
+; Copyright 1997-2012  Leibniz University Hannover
+;------------------------------------------------------------------------------!
+;
+; Current revisions:
+; -----------------
+; Initial revision
+;
+; Former revisions:
+; -----------------
+; $Id$
+;
+;
+; Description:
+; ------------
+; Configuration file for nc2vdf.
+;------------------------------------------------------------------------------!
+
+; Insert number and names of input files
+    numberoffiles   = 2
+    files           = new( (/numberoffiles/), string)
+    files(0)        = "../OUTPUT/building_3d.nc"
+    files(1)        = "../OUTPUT/building_3d.1.nc"
+
+; Insert names of variables to be taken from files specifyed above
+    alt_varnames = False
+    
+    varString = new( (/numberoffiles,1/), string)
+    varString(0,0) = "u"
+    varString(1,0) = "w"
+    
+    ;for using the alternative method (alt_varnames = True):
+    vars = new( (/numberoffiles,1/), integer)
+    vars(0,0) = 10
+    vars(1,0) = 9
+    
+; specify index of start and end time step? 'False' will include all time steps
+    spec_ts = True
+    t_start = 0
+    t_end   = 10
+    
+; Specify a maximum refinement level? 'False' will set the default value.
+    spec_reflevel = True
+    reflevel      = 1
+    
+; LES used periodic lateral boundaries?
+    periodic = True
+    
+; LES used grid stretching?
+    grid_stretch = False
+    stretch_level = 999    
+
+
+; define output file
+   outputfile = "output" +".vdf"
+   
Index: palm/trunk/SCRIPTS/nc2vdf.ncl
===================================================================
--- palm/trunk/SCRIPTS/nc2vdf.ncl	(revision 1066)
+++ palm/trunk/SCRIPTS/nc2vdf.ncl	(revision 1067)
@@ -18,4 +18,5 @@
 ; Current revisions:
 ; -----------------
+; Code put under GNU GPL
 ;
 ; Former revisions:
@@ -126,5 +127,5 @@
 if man then
 ;specify name of output file:
-outputfile	= "building.vdf" ;<<<<------------- !!!
+outputfile	= "output.vdf" ;<<<<------------- !!!
 end if
 ;******************************************************