Index: /palm/trunk/SCRIPTS/mbuild
===================================================================
--- /palm/trunk/SCRIPTS/mbuild	(revision 1068)
+++ /palm/trunk/SCRIPTS/mbuild	(revision 1069)
@@ -20,4 +20,6 @@
 # Current revisions:
 # -----------------
+# added copy of nc2vdf tools to remote host
+#
 #
 # Former revisions:
@@ -1284,7 +1286,7 @@
                 # KOENNEN DOLLAR-ZEICHEN NICHT BENUTZT WERDEN
              remote_ud=`echo $remote_ud | sed 's/\$HOME\///'`
-             /bin/scp  batch_scp mbuild mrun process_dvr_output .dvrserver.config subjob  ${remote_username}@${remote_addres}:${remote_ud}/../SCRIPTS  >  /dev/null
-          else
-             scp  batch_scp mbuild mrun process_dvr_output .dvrserver.config subjob  ${remote_username}@${remote_addres}:${remote_ud}/../SCRIPTS  >  /dev/null
+             /bin/scp  batch_scp mbuild mrun process_dvr_output .dvrserver.config subjob batch_nc2vdf nc2vdf nc2vdf.ncl nc2vdf.config ${remote_username}@${remote_addres}:${remote_ud}/../SCRIPTS  >  /dev/null
+          else
+             scp  batch_scp mbuild mrun process_dvr_output .dvrserver.config subjob batch_nc2vdf nc2vdf nc2vdf.ncl nc2vdf.config ${remote_username}@${remote_addres}:${remote_ud}/../SCRIPTS  >  /dev/null
           fi
 
Index: /palm/trunk/SCRIPTS/mrun
===================================================================
--- /palm/trunk/SCRIPTS/mrun	(revision 1068)
+++ /palm/trunk/SCRIPTS/mrun	(revision 1069)
@@ -22,5 +22,6 @@
 # Current revisions:
 # -----------------
-# 
+# bugfix: coupling mode was always set to mpi2, typos removed
+
 #
 # Former revisions:
@@ -559,5 +560,5 @@
     while read line
     do
-       if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" &&  ( $(echo $line | cut -d" " -s -f4) = $cond1 || $(echo $line | cut -d" " -s -f4)  = $cond2 ) ]]
+       if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" &&  $(echo $line | cut -d" " -s -f4) = $cond1 && $(echo $line | cut -d" " -s -f4)  = $cond2 ]]
        then
           coupled_mode="mpi2"
@@ -2240,5 +2241,5 @@
  then
     skip_check=true
-    reason="restart run.)"
+    reason="restart run."
  fi 
 
@@ -2426,5 +2427,5 @@
              locat=normal; exit
           else
-             printf "\n  *** Skipping parameter file check."
+             printf "\n  *** skipping parameter file check."
          
           fi
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 1068)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 1069)
@@ -20,4 +20,5 @@
 ! Current revisions:
 ! -----------------
+! allow usage of topography in combination with cloud physics
 !
 ! Former revisions:
@@ -558,9 +559,6 @@
           WRITE( action, '(A)' )  'galilei_transformation = .TRUE.'
        ENDIF
-       IF ( cloud_physics )  THEN
-          WRITE( action, '(A)' )  'cloud_physics = .TRUE.'
-       ENDIF
        IF ( cloud_droplets )  THEN
-          WRITE( action, '(A)' )  'cloud_droplets = .TRUE.'
+          WRITE( action, '(A)' )  'cloud_droplets = .TRUE. (has not been tested)'
        ENDIF
        IF ( .NOT. prandtl_layer )  THEN
Index: /palm/trunk/SOURCE/init_grid.f90
===================================================================
--- /palm/trunk/SOURCE/init_grid.f90	(revision 1068)
+++ /palm/trunk/SOURCE/init_grid.f90	(revision 1069)
@@ -20,5 +20,6 @@
 ! Current revisions:
 ! -----------------
-!
+! bugfix: added coupling_char to TOPOGRAPHY_DATA to allow topography in the ocean
+!          model in case of coupled runs
 !
 ! Former revisions:
@@ -587,5 +588,5 @@
 !--             Arbitrary irregular topography data in PALM format (exactly
 !--             matching the grid size and total domain size)
-                OPEN( 90, FILE='TOPOGRAPHY_DATA', STATUS='OLD', &
+                OPEN( 90, FILE='TOPOGRAPHY_DATA'//coupling_char, STATUS='OLD', &
                       FORM='FORMATTED', ERR=10 )
                 DO  j = ny, 0, -1
@@ -595,8 +596,8 @@
                 GOTO 12
           
- 10             message_string = 'file TOPOGRAPHY_DATA does not exist'
+ 10             message_string = 'file TOPOGRAPHY'//coupling_char//' does not exist'
                 CALL message( 'init_grid', 'PA0208', 1, 2, 0, 6, 0 )
 
- 11             message_string = 'errors in file TOPOGRAPHY_DATA'
+ 11             message_string = 'errors in file TOPOGRAPHY_DATA'//coupling_char
                 CALL message( 'init_grid', 'PA0209', 1, 2, 0, 6, 0 )
 