Index: /palm/trunk/SOURCE/advec_s_bc.f90
===================================================================
--- /palm/trunk/SOURCE/advec_s_bc.f90	(revision 1091)
+++ /palm/trunk/SOURCE/advec_s_bc.f90	(revision 1092)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! unused variables removed
 !
 ! Former revisions:
@@ -87,5 +87,5 @@
     INTEGER ::  i, ix, j, k, ngp, sr, type_xz_2
 
-    REAL ::  cim, cimf, cip, cipf, d_new, ffmax, fminus, fplus, f2, f4, f8, &
+    REAL ::  cim, cimf, cip, cipf, d_new, fminus, fplus, f2, f4, f8,        &
              f12, f24, f48, f1920, im, ip, m2, m3, nenner, snenn, sterm,    &
              tendenz, t1, t2, zaehler
Index: /palm/trunk/SOURCE/check_open.f90
===================================================================
--- /palm/trunk/SOURCE/check_open.f90	(revision 1091)
+++ /palm/trunk/SOURCE/check_open.f90	(revision 1092)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! unused variables removed
 !
 ! Former revisions:
@@ -129,7 +129,7 @@
     CHARACTER (LEN=400) ::  command
 
-    INTEGER ::  av, anzzeile = 1, cranz, file_id, i, iaddres, ierr1, iusern, &
+    INTEGER ::  av, anzzeile = 1, cranz, file_id, i, iaddres, iusern, &
                 j, k, legpos = 1, timodex = 1
-    INTEGER, DIMENSION(10) ::  cucol, klist, lstyle
+    INTEGER, DIMENSION(10) ::  klist
 
     LOGICAL ::  avs_coor_file_found = .FALSE., avs_data_file_found = .FALSE., &
@@ -145,5 +145,5 @@
 
     NAMELIST /RAHMEN/  anzzeile, cranz, datleg, rtext, swap
-    NAMELIST /CROSS/   ansx, ansy, cucol, grid, gwid, klist, legpos, lstyle, &
+    NAMELIST /CROSS/   ansx, ansy, grid, gwid, klist, legpos, &
                        rand, rlegfak, sizex, sizey, texfac, &
                        timodex, twoxa, twoya, xtext
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 1091)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 1092)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! unused variables removed
 !
 ! Former revisions:
@@ -283,9 +283,7 @@
     CHARACTER (LEN=100) ::  action
 
-    INTEGER ::  i, ilen, intervals, iremote = 0, iter, j, k, kk, nnxh, nnyh, &
-                position, prec
+    INTEGER ::  i, ilen, iremote = 0, j, k, kk, position, prec
     LOGICAL ::  found, ldum
-    REAL    ::  gradient, maxn, maxp, remote = 0.0, &
-                simulation_time_since_reference
+    REAL    ::  gradient, remote = 0.0, simulation_time_since_reference
 
 !
Index: /palm/trunk/SOURCE/close_file.f90
===================================================================
--- /palm/trunk/SOURCE/close_file.f90	(revision 1091)
+++ /palm/trunk/SOURCE/close_file.f90	(revision 1092)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! unused variables removed
 !
 ! Former revisions:
@@ -90,12 +90,11 @@
     IMPLICIT NONE
 
-    CHARACTER (LEN=2)   ::  suffix
     CHARACTER (LEN=10)  ::  datform = 'lit_endian'
-    CHARACTER (LEN=80)  ::  rtext, title
-
-    INTEGER ::  av, anzzeile, dimx, dimy, &
-                fid, file_id, j, k, planz
-
-    LOGICAL ::  checkuf = .TRUE., datleg = .TRUE., dp = .FALSE., swap
+    CHARACTER (LEN=80)  ::  title
+
+    INTEGER ::  av, dimx, dimy, &
+                fid, file_id, planz
+
+    LOGICAL ::  checkuf = .TRUE., datleg = .TRUE., dp = .FALSE.
 
     REAL ::  sizex, sizey, yright
@@ -103,5 +102,5 @@
     NAMELIST /GLOBAL/  checkuf, datform, dimx, dimy, dp, planz, &
                        title
-    NAMELIST /RAHMEN/  anzzeile, datleg, rtext, swap
+    NAMELIST /RAHMEN/  datleg
 
 !
Index: /palm/trunk/SOURCE/cpu_statistics.f90
===================================================================
--- /palm/trunk/SOURCE/cpu_statistics.f90	(revision 1091)
+++ /palm/trunk/SOURCE/cpu_statistics.f90	(revision 1092)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! unused variables removed
 !
 ! Former revisions:
@@ -72,5 +72,5 @@
     IMPLICIT NONE
 
-    INTEGER    ::  i, ii(1), iii, lp, sender
+    INTEGER    ::  i, ii(1), iii, sender
     REAL, SAVE ::  norm = 1.0
     REAL, DIMENSION(:),   ALLOCATABLE ::  pe_max, pe_min, pe_rms, sum
Index: /palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_mask.f90	(revision 1091)
+++ /palm/trunk/SOURCE/data_output_mask.f90	(revision 1092)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! unused variables removed
 !
 ! Former revisions:
@@ -76,5 +76,5 @@
     IMPLICIT NONE
 
-    INTEGER ::  av, ngp, file_id, i, if, is, j, k, l, n, psi, s, sender, &
+    INTEGER ::  av, ngp, i, if, j, k, n, psi, sender, &
                 ind(6)
     LOGICAL ::  found, resorted
Index: /palm/trunk/SOURCE/data_output_profiles.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_profiles.f90	(revision 1091)
+++ /palm/trunk/SOURCE/data_output_profiles.f90	(revision 1092)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! unused variables removed
 !
 ! Former revisions:
@@ -73,5 +73,5 @@
 
 
-    INTEGER ::  i, id, ilc, ils, j, k, sr
+    INTEGER ::  i, sr
 
 !
Index: /palm/trunk/SOURCE/data_output_tseries.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_tseries.f90	(revision 1091)
+++ /palm/trunk/SOURCE/data_output_tseries.f90	(revision 1092)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! unused variables removed
 !
 ! Former revisions:
@@ -64,5 +64,5 @@
 
 
-    INTEGER ::  file_id, i, j, sr
+    INTEGER ::  i, sr
 
 
Index: /palm/trunk/SOURCE/diffusion_s.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_s.f90	(revision 1091)
+++ /palm/trunk/SOURCE/diffusion_s.f90	(revision 1092)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-!
+! unused variables removed
 !
 ! Former revisions:
@@ -97,5 +97,4 @@
 
        INTEGER ::  i, j, k
-       REAL    ::  vertical_gridspace
        REAL    ::  wall_s_flux(0:4)
        REAL, DIMENSION(nysg:nyng,nxlg:nxrg) ::  s_flux_b, s_flux_t
@@ -211,5 +210,4 @@
 
        INTEGER ::  i, j, k
-       REAL    ::  vertical_gridspace
        REAL    ::  wall_s_flux(0:4)
        REAL, DIMENSION(nysg:nyng,nxlg:nxrg) ::  s_flux_b, s_flux_t
@@ -332,5 +330,4 @@
 
        INTEGER ::  i, j, k
-       REAL    ::  vertical_gridspace
        REAL    ::  wall_s_flux(0:4)
        REAL, DIMENSION(nysg:nyng,nxlg:nxrg) ::  s_flux_b, s_flux_t
Index: /palm/trunk/SOURCE/exchange_horiz_2d.f90
===================================================================
--- /palm/trunk/SOURCE/exchange_horiz_2d.f90	(revision 1091)
+++ /palm/trunk/SOURCE/exchange_horiz_2d.f90	(revision 1092)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! unused variables removed
 !
 ! Former revisions:
@@ -192,5 +192,4 @@
 
     INTEGER ::  ar(nysg:nyng,nxlg:nxrg)
-    INTEGER :: i
 
 #if ! defined( __check )
Index: /palm/trunk/SOURCE/fft_xy.f90
===================================================================
--- /palm/trunk/SOURCE/fft_xy.f90	(revision 1091)
+++ /palm/trunk/SOURCE/fft_xy.f90	(revision 1092)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! variable sizw declared for NEC case only
 !
 ! Former revisions:
@@ -591,5 +591,5 @@
 
        CHARACTER (LEN=*)              ::  direction
-       INTEGER                        ::  i, k, siza, sizw
+       INTEGER                        ::  i, k, siza
 
        REAL, DIMENSION(0:nx,nz)       ::  ar
@@ -597,4 +597,5 @@
        REAL, DIMENSION(6*(nx+4),nz+1) ::  work1
 #if defined( __nec )
+       INTEGER                             ::  sizw
        COMPLEX, DIMENSION((nx+4)/2+1,nz+1) ::  work
 #endif
@@ -727,5 +728,5 @@
 
        CHARACTER (LEN=*)              ::  direction
-       INTEGER                        ::  j, k, ny1, siza, sizw
+       INTEGER                        ::  j, k, ny1, siza
 
        REAL, DIMENSION(0:ny1,nz)      ::  ar
@@ -733,4 +734,5 @@
        REAL, DIMENSION(6*(ny+4),nz+1) ::  work1
 #if defined( __nec )
+       INTEGER                             ::  sizw
        COMPLEX, DIMENSION((ny+4)/2+1,nz+1) ::  work
 #endif
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 1091)
+++ /palm/trunk/SOURCE/header.f90	(revision 1092)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! unused variables removed
 !
 ! Former revisions:
@@ -187,5 +187,4 @@
     CHARACTER (LEN=2)  ::  do2d_mode
     CHARACTER (LEN=5)  ::  section_chr
-    CHARACTER (LEN=9)  ::  time_to_string
     CHARACTER (LEN=10) ::  coor_chr, host_chr
     CHARACTER (LEN=16) ::  begin_chr
@@ -202,5 +201,5 @@
 
     INTEGER ::  av, bh, blx, bly, bxl, bxr, byn, bys, ch, count, cwx, cwy,  &
-         cxl, cxr, cyn, cys, dim, i, ihost, io, j, l, ll, m, mpi_type
+                cxl, cxr, cyn, cys, dim, i, io, j, l, ll, mpi_type
     REAL    ::  cpuseconds_per_simulated_second
 
Index: /palm/trunk/SOURCE/inflow_turbulence.f90
===================================================================
--- /palm/trunk/SOURCE/inflow_turbulence.f90	(revision 1091)
+++ /palm/trunk/SOURCE/inflow_turbulence.f90	(revision 1092)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! unused variables removed
 !
 ! Former revisions:
@@ -61,7 +61,6 @@
     IMPLICIT NONE
 
-    INTEGER ::  i, imax, j, k, l, ngp_ifd, ngp_pr
-
-    REAL, DIMENSION(1:2) ::  volume_flow_l, volume_flow_offset
+    INTEGER ::  i, j, k, l, ngp_ifd, ngp_pr
+
     REAL, DIMENSION(nzb:nzt+1,5,nbgp) ::  avpr, avpr_l
     REAL, DIMENSION(nzb:nzt+1,nysg:nyng,5,nbgp) ::  inflow_dist
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 1091)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 1092)
@@ -23,4 +23,5 @@
 ! Current revisions:
 ! ------------------
+! unused variables removed
 !
 ! Former revisions:
@@ -239,6 +240,4 @@
     INTEGER, DIMENSION(:,:), ALLOCATABLE ::  ngp_2dh_outer_l,  &
                                              ngp_2dh_s_inner_l
-
-    REAL ::  a, b
 
     REAL, DIMENSION(1:2) ::  volume_flow_area_l, volume_flow_initial_l
Index: /palm/trunk/SOURCE/init_grid.f90
===================================================================
--- /palm/trunk/SOURCE/init_grid.f90	(revision 1091)
+++ /palm/trunk/SOURCE/init_grid.f90	(revision 1092)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! unused variables removed
 !
 ! Former revisions:
@@ -146,6 +146,6 @@
 
     INTEGER ::  bh, blx, bly, bxl, bxr, byn, bys, ch, cwx, cwy, cxl, cxr, cyn, &
-                cys, gls, i, ii, inc, i_center, j, j_center, k, l, nxl_l,      &
-                nxr_l, nyn_l, nys_l, nzb_si, nzt_l, vi
+                cys, gls, i, ii, inc, j, k, l, nxl_l, nxr_l, nyn_l, nys_l,     &
+                nzb_si, nzt_l, vi
 
     INTEGER, DIMENSION(:), ALLOCATABLE   ::  vertical_influence
@@ -161,5 +161,4 @@
     REAL, DIMENSION(:,:), ALLOCATABLE   ::  topo_height
 
-    REAL, DIMENSION(:,:,:), ALLOCATABLE ::  distance
     
 !
Index: /palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- /palm/trunk/SOURCE/init_pegrid.f90	(revision 1091)
+++ /palm/trunk/SOURCE/init_pegrid.f90	(revision 1092)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! unused variables removed
 !
 ! Former revisions:
@@ -163,5 +163,5 @@
                 maximum_grid_level_l, mg_switch_to_pe0_level_l, mg_levels_x, &
                 mg_levels_y, mg_levels_z, nnx_y, nnx_z, nny_x, nny_z, nnz_x, &
-                nnz_y, numproc_sqr, nx_total, nxl_l, nxr_l, nyn_l, nys_l,    &
+                nnz_y, numproc_sqr, nxl_l, nxr_l, nyn_l, nys_l,    &
                 nzb_l, nzt_l, omp_get_num_threads
 
@@ -170,5 +170,7 @@
     INTEGER, DIMENSION(2) :: pdims_remote
 
+#if defined( __mpi2 )
     LOGICAL ::  found
+#endif
 
 !
Index: /palm/trunk/SOURCE/local_tremain_ini.f90
===================================================================
--- /palm/trunk/SOURCE/local_tremain_ini.f90	(revision 1091)
+++ /palm/trunk/SOURCE/local_tremain_ini.f90	(revision 1092)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! unused variables removed
 !
 ! Former revisions:
@@ -57,10 +57,6 @@
 
 #if defined( __ibm )
-    CHARACTER (LEN=10) ::  value_chr
-    INTEGER            ::  idum
     INTEGER(8)         ::  IRTC
 #elif defined( __lc )
-    CHARACTER (LEN=10) ::  value_chr
-    INTEGER            ::  idum
     INTEGER(8)         ::  count, count_rate
 #endif
Index: /palm/trunk/SOURCE/lpm_collision_kernels.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_collision_kernels.f90	(revision 1091)
+++ /palm/trunk/SOURCE/lpm_collision_kernels.f90	(revision 1092)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! unused variables removed
 !
 ! Former revisions:
@@ -526,6 +526,5 @@
        LOGICAL, SAVE ::  first = .TRUE.
 
-       REAL, SAVE ::  cunh, eta, phy, py, rho_a, sigma, stb, stok, &
-                      t0, xlamb
+       REAL, SAVE ::  cunh, eta, phy, py, rho_a, sigma, stb, stok, xlamb
 
        REAL ::  bond, x, xrey, y
@@ -621,5 +620,5 @@
        IMPLICIT NONE
 
-       INTEGER ::  i, iq, ir, j, k, kk
+       INTEGER ::  i, iq, ir, j, k
 
        INTEGER, DIMENSION(:), ALLOCATABLE ::  ira
@@ -757,9 +756,9 @@
        IMPLICIT NONE
 
-       INTEGER :: i, ik, iq, ir, j, k, kk
+       INTEGER :: i, iq, ir, j, k, kk
 
        INTEGER, DIMENSION(:), ALLOCATABLE ::  ira
 
-       REAL ::  particle_radius, pp, qq, rq, x1, x2, x3, y1, y2, y3
+       REAL ::  particle_radius, pp, qq, rq, y1, y2, y3
 
        LOGICAL, SAVE ::  first = .TRUE.
Index: /palm/trunk/SOURCE/lpm_droplet_collision.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_droplet_collision.f90	(revision 1091)
+++ /palm/trunk/SOURCE/lpm_droplet_collision.f90	(revision 1092)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-!
+! unused variables removed
 !
 ! Former revisions:
@@ -74,11 +74,11 @@
     IMPLICIT NONE
 
-    INTEGER ::  eclass, i, ii, inc, is, j, jj, js, k, kk, n, pse, psi,        &
-                rclass_l, rclass_s
-
-    REAL ::  aa, bb, cc, dd, delta_r, delta_v, gg, epsilon, integral, lw_max, &
-             mean_r, ql_int, ql_int_l, ql_int_u, u_int, u_int_l, u_int_u,     &
-             v_int, v_int_l, v_int_u, w_int, w_int_l, w_int_u, sl_r3, sl_r4,  &
-             x, y, sum1, sum2, sum3, r3, ddV
+    INTEGER ::  eclass, i, ii, inc, is, j, jj, js, k, kk, n, pse, psi, rclass_l, &
+                rclass_s
+
+    REAL ::  aa, bb, cc, dd, delta_r, delta_v, gg, epsilon, mean_r, ql_int,    &
+             ql_int_l, ql_int_u, u_int, u_int_l, u_int_u, v_int, v_int_l,      &
+             v_int_u, w_int, w_int_l, w_int_u, sl_r3, sl_r4, x, y, sum1, sum2, &
+             sum3, r3, ddV
 
     TYPE(particle_type) ::  tmp_particle
Index: /palm/trunk/SOURCE/lpm_droplet_condensation.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 1091)
+++ /palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 1092)
@@ -76,6 +76,6 @@
              dt_ros, dt_ros_next, dt_ros_sum, dt_ros_sum_ini, d2rdtdr, errmax, &
              err_ros, g1, g2, g3, g4, e_a, e_s, gg, new_r, p_int, pt_int,      &
-             pt_int_l, pt_int_u, q_int, q_int_l, q_int_u, ql_int, ql_int_l,    &
-             ql_int_u, r_ros, r_ros_ini, sigma, t_int, x, y, re_p
+             pt_int_l, pt_int_u, q_int, q_int_l, q_int_u, r_ros, r_ros_ini,    &
+             sigma, t_int, x, y, re_p
 
 !
Index: /palm/trunk/SOURCE/lpm_init.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_init.f90	(revision 1091)
+++ /palm/trunk/SOURCE/lpm_init.f90	(revision 1092)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! unused variables removed
 !
 ! Former revisions:
@@ -112,5 +112,5 @@
 #endif
     LOGICAL ::  uniform_particles_l
-    REAL    ::  factor, pos_x, pos_y, pos_z, value
+    REAL    ::  pos_x, pos_y, pos_z
 
 
Index: /palm/trunk/SOURCE/microphysics.f90
===================================================================
--- /palm/trunk/SOURCE/microphysics.f90	(revision 1091)
+++ /palm/trunk/SOURCE/microphysics.f90	(revision 1092)
@@ -3,5 +3,6 @@
 !------------------------------------------------------------------------------!
 ! Current revisions:
-! -----------------
+! ------------------
+! unused variables removed
 !
 ! Former revisions:
@@ -78,5 +79,4 @@
 
        INTEGER ::  i, j, k
-       REAL    ::  dqdt_precip
 
  
@@ -101,5 +101,4 @@
 
        INTEGER ::  i, j, k
-       REAL    ::  dqdt_precip
 
  
@@ -124,5 +123,4 @@
 
        INTEGER ::  i, j, k
-       REAL    ::  dqdt_precip
 
  
@@ -147,5 +145,4 @@
 
        INTEGER ::  i, j, k
-       REAL    ::  dqdt_precip
 
  
@@ -170,5 +167,4 @@
 
        INTEGER ::  i, j, k
-       REAL    ::  dqdt_precip
 
  
@@ -193,5 +189,4 @@
 
        INTEGER ::  i, j, k
-       REAL    ::  dqdt_precip
 
  
@@ -216,5 +211,4 @@
 
        INTEGER ::  i, j, k
-       REAL    ::  dqdt_precip
 
  
@@ -596,9 +590,9 @@
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k, k_run, n, n_substep
-       REAL    ::  c_run, d_max, d_mean, d_min, dt_sedi, flux, mean, z_run
-
-       REAL, DIMENSION(nzb:nzt) :: c_nr, c_qr, d_nr, d_qr, nr_slope, qr_slope, &
-                                   w_nr, w_qr
+       INTEGER ::  i, j, k, k_run
+       REAL    ::  c_run, d_max, d_mean, d_min, dt_sedi, flux, z_run
+
+       REAL, DIMENSION(nzb:nzt) :: c_nr, c_qr, nr_slope, qr_slope, w_nr, w_qr
+
 !
 !--    Computation of sedimentation flux. Implementation according to Stevens
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 1091)
+++ /palm/trunk/SOURCE/modules.f90	(revision 1092)
@@ -19,5 +19,7 @@
 !
 ! Current revisions:
-! -----------------
+! ------------------
+! character length in some derived type changed for better alignment
+! test: different dpk definition for CUDA FFT
 !
 ! Former revisions:
@@ -368,6 +370,12 @@
 !------------------------------------------------------------------------------!
 
-    INTEGER, PARAMETER ::  dpk = SELECTED_REAL_KIND( 12 ), &
+    INTEGER, PARAMETER ::  dpk = SELECTED_REAL_KIND( 12 ),
                            spk = SELECTED_REAL_KIND( 6 )
+
+!-- test for CUDA FFT
+!    INTEGER, PARAMETER ::  single_kind = KIND( 0.0 ), &
+!                           double_kind = KIND( 0.0D0 )
+
+!    INTEGER, PARAMETER ::  dpk = double_kind
 
     SAVE
@@ -581,5 +589,5 @@
 
     TYPE plot_precision
-       CHARACTER (LEN=6) ::  variable
+       CHARACTER (LEN=8) ::  variable
        INTEGER           ::  precision
     END TYPE plot_precision
@@ -1016,5 +1024,5 @@
 
     TYPE steering
-       CHARACTER (LEN=20) ::  name
+       CHARACTER (LEN=24) ::  name
        REAL(4)            ::  min, max
        INTEGER            ::  imin, imax
Index: /palm/trunk/SOURCE/netcdf.f90
===================================================================
--- /palm/trunk/SOURCE/netcdf.f90	(revision 1091)
+++ /palm/trunk/SOURCE/netcdf.f90	(revision 1092)
@@ -23,4 +23,5 @@
 ! Current revisions:
 ! ------------------
+! unused variables removed
 !
 ! Former revisions:
@@ -155,7 +156,5 @@
     CHARACTER (LEN=10)             ::  netcdf_var_name, precision, var
     CHARACTER (LEN=80)             ::  time_average_text
-    CHARACTER (LEN=2000)           ::  char_cross_profiles,     &
-                                       message_cross_profiles,  &
-                                       var_list, var_list_old
+    CHARACTER (LEN=2000)           ::  char_cross_profiles, var_list, var_list_old
 
     CHARACTER (LEN=100), DIMENSION(1:crmax) ::  cross_profiles_adj,   &
Index: /palm/trunk/SOURCE/palm.f90
===================================================================
--- /palm/trunk/SOURCE/palm.f90	(revision 1091)
+++ /palm/trunk/SOURCE/palm.f90	(revision 1092)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! unused variables removed
 !
 ! Former revisions:
@@ -107,6 +107,5 @@
 !-- Local variables
     CHARACTER (LEN=9) ::  time_to_string
-    CHARACTER (LEN=1) ::  cdum
-    INTEGER           ::  i, run_description_header_i(80)
+    INTEGER           ::  i
 #if defined( __openacc )
     REAL, DIMENSION(100) ::  acc_dum
@@ -134,6 +133,10 @@
 !-- Get the number of accelerator boards per node and assign the MPI processes
 !-- to these boards
+    PRINT*, '*** ACC_DEVICE_NVIDIA = ', ACC_DEVICE_NVIDIA
     num_acc_per_node  = ACC_GET_NUM_DEVICES( ACC_DEVICE_NVIDIA )
+    IF ( numprocs == 1  .AND.  num_acc_per_node > 0 )  num_acc_per_node = 1
+    PRINT*, '*** myid = ', myid, ' num_acc_per_node = ', num_acc_per_node
     acc_rank = MOD( myid, num_acc_per_node )
+!    STOP '****'
     CALL ACC_SET_DEVICE_NUM ( acc_rank, ACC_DEVICE_NVIDIA )
 !
@@ -144,4 +147,5 @@
                                       ACC_GET_DEVICE_NUM( ACC_DEVICE_NVIDIA )
 #endif
+
 !
 !-- Ensure that OpenACC first attaches the GPU devices by copying a dummy data
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 1091)
+++ /palm/trunk/SOURCE/parin.f90	(revision 1092)
@@ -20,4 +20,5 @@
 ! Current revisions:
 ! -----------------
+! unused variables removed
 !
 ! Former revisions:
@@ -193,5 +194,5 @@
     IMPLICIT NONE
 
-    INTEGER ::  i, idum
+    INTEGER ::  i
 
 
Index: /palm/trunk/SOURCE/poisfft.f90
===================================================================
--- /palm/trunk/SOURCE/poisfft.f90	(revision 1091)
+++ /palm/trunk/SOURCE/poisfft.f90	(revision 1092)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! unused variables removed
 !
 ! Former revisions:
@@ -952,6 +952,4 @@
        IMPLICIT NONE
 
-       character(len=3) ::  myth_char
-
        INTEGER ::  i, j, k, m, n, omp_get_thread_num, tn
 
@@ -1431,5 +1429,4 @@
 
        REAL, DIMENSION(0:nx,1:nz)     ::  ar
-       REAL, DIMENSION(0:nx,0:nz-1)   ::  ar1
        REAL, DIMENSION(5,0:nx,0:nz-1) ::  tri
 
Index: /palm/trunk/SOURCE/poismg.f90
===================================================================
--- /palm/trunk/SOURCE/poismg.f90	(revision 1091)
+++ /palm/trunk/SOURCE/poismg.f90	(revision 1092)
@@ -23,5 +23,5 @@
 ! Current revisions:
 ! -----------------
-!
+! unused variables removed
 !
 ! Former revisions:
@@ -1028,5 +1028,5 @@
     IMPLICIT NONE
 
-    INTEGER ::  i, il, ir, j, jn, js, k, n, nwords, sender
+    INTEGER ::  i, il, ir, j, jn, js, k, nwords
 
     REAL, DIMENSION(nzb:nzt_mg(grid_level)+1,                            &
@@ -1093,5 +1093,5 @@
     IMPLICIT NONE
 
-    INTEGER ::  n, nwords, sender
+    INTEGER ::  nwords
 
     REAL, DIMENSION(nzb:nzt_mg(grid_level-1)+1,                            &
Index: /palm/trunk/SOURCE/pres.f90
===================================================================
--- /palm/trunk/SOURCE/pres.f90	(revision 1091)
+++ /palm/trunk/SOURCE/pres.f90	(revision 1092)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! unused variables removed
 !
 ! Former revisions:
@@ -124,5 +124,5 @@
     IMPLICIT NONE
 
-    INTEGER ::  i, j, k, sr
+    INTEGER ::  i, j, k
 
     REAL    ::  ddt_3d, localsum, threadsum, d_weight_pres
Index: /palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- /palm/trunk/SOURCE/prognostic_equations.f90	(revision 1091)
+++ /palm/trunk/SOURCE/prognostic_equations.f90	(revision 1092)
@@ -19,5 +19,6 @@
 !
 ! Current revisions:
-! -----------------
+! ------------------
+! unused variables removed
 !
 ! Former revisions:
@@ -201,5 +202,4 @@
     IMPLICIT NONE
 
-    CHARACTER (LEN=9) ::  time_to_string
     INTEGER ::  i, i_omp_start, j, k, omp_get_thread_num, tn = 0
     LOGICAL ::  loop_start
@@ -839,5 +839,4 @@
     IMPLICIT NONE
 
-    CHARACTER (LEN=9) ::  time_to_string
     INTEGER ::  i, j, k
     REAL    ::  sbt
@@ -1480,5 +1479,4 @@
     IMPLICIT NONE
 
-    CHARACTER (LEN=9) ::  time_to_string
     INTEGER ::  i, j, k, runge_step
     REAL    ::  sbt
Index: /palm/trunk/SOURCE/random_function.f90
===================================================================
--- /palm/trunk/SOURCE/random_function.f90	(revision 1091)
+++ /palm/trunk/SOURCE/random_function.f90	(revision 1092)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! unused variables removed
 !
 ! Former revisions:
@@ -77,5 +77,5 @@
 
        INTEGER ::  ia, idum, im, iq, ir, ndiv, ntab
-       REAL    ::  am, eps, random_function, ranf, rnmx
+       REAL    ::  am, eps, random_function, rnmx
 
        PARAMETER ( ia=16807, im=2147483647, am=1.0/im, iq=127773, ir=2836, &
Index: /palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/read_var_list.f90	(revision 1091)
+++ /palm/trunk/SOURCE/read_var_list.f90	(revision 1092)
@@ -20,4 +20,5 @@
 ! Current revisions:
 ! ------------------
+! unused variables removed
 !
 ! Former revisions:
@@ -174,6 +175,4 @@
     CHARACTER (LEN=10) ::  binary_version, version_on_file
     CHARACTER (LEN=30) ::  variable_chr
-
-    LOGICAL ::  ldum
 
 
@@ -792,5 +791,5 @@
     CHARACTER (LEN=1)  ::  cdum
 
-    INTEGER ::  idum, max_pr_user_on_file, nz_on_file, &
+    INTEGER ::  max_pr_user_on_file, nz_on_file, &
                 statistic_regions_on_file, tmp_mpru, tmp_sr
 
Index: /palm/trunk/SOURCE/surface_coupler.f90
===================================================================
--- /palm/trunk/SOURCE/surface_coupler.f90	(revision 1091)
+++ /palm/trunk/SOURCE/surface_coupler.f90	(revision 1092)
@@ -19,9 +19,9 @@
 !
 ! Current revisions:
+! ------------------
+! unused variables removed
+!
+! Former revisions:
 ! -----------------
-! 
-!
-! Former revisions:
-! ------------------
 ! $Id$
 !
@@ -65,6 +65,4 @@
 
     IMPLICIT NONE
-
-    INTEGER ::  i, j, k
 
     REAL    ::  time_since_reference_point_rem
Index: /palm/trunk/SOURCE/time_integration.f90
===================================================================
--- /palm/trunk/SOURCE/time_integration.f90	(revision 1091)
+++ /palm/trunk/SOURCE/time_integration.f90	(revision 1092)
@@ -19,5 +19,6 @@
 !
 ! Current revisions:
-! -----------------
+! ------------------
+! unused variables removed
 !
 ! Former revisions:
@@ -138,5 +139,4 @@
 
     CHARACTER (LEN=9) ::  time_to_string
-    INTEGER ::  i, j, k
 
 !
Index: /palm/trunk/SOURCE/timestep.f90
===================================================================
--- /palm/trunk/SOURCE/timestep.f90	(revision 1091)
+++ /palm/trunk/SOURCE/timestep.f90	(revision 1092)
@@ -20,4 +20,5 @@
 ! Current revisions:
 ! ------------------
+! unused variables removed
 !
 ! Former revisions:
@@ -91,9 +92,7 @@
     INTEGER ::  i, j, k, u_max_cfl_ijk(3), v_max_cfl_ijk(3)
 
-    REAL ::  div, dt_diff, dt_diff_l, dt_plant_canopy,                 &
-             dt_plant_canopy_l,                                        &
-             dt_plant_canopy_u, dt_plant_canopy_v, dt_plant_canopy_w,  & 
-             dt_u, dt_v, dt_w, lad_max,                                &
-             u_gtrans_l, u_max_cfl, vabs_max, value, v_gtrans_l, v_max_cfl
+    REAL ::  div, dt_diff, dt_diff_l, dt_plant_canopy, dt_plant_canopy_l,  &
+             dt_plant_canopy_u, dt_plant_canopy_v, dt_plant_canopy_w,      & 
+             dt_u, dt_v, dt_w, u_max_cfl, value, v_max_cfl
 
     REAL, DIMENSION(2)         ::  uv_gtrans, uv_gtrans_l
Index: /palm/trunk/SOURCE/transpose.f90
===================================================================
--- /palm/trunk/SOURCE/transpose.f90	(revision 1091)
+++ /palm/trunk/SOURCE/transpose.f90	(revision 1092)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! unused variables removed
 !
 ! Former revisions:
@@ -326,5 +326,5 @@
     IMPLICIT NONE
 
-    INTEGER ::  i, j, k, l, m, recvcount_yx, sendcount_yx, xs
+    INTEGER ::  i, j, k, l, m, xs
 
     REAL ::  f_in(1:nz,nys:nyn,nxl:nxr), f_inv(nxl:nxr,1:nz,nys:nyn), &
Index: /palm/trunk/SOURCE/write_compressed.f90
===================================================================
--- /palm/trunk/SOURCE/write_compressed.f90	(revision 1091)
+++ /palm/trunk/SOURCE/write_compressed.f90	(revision 1092)
@@ -20,8 +20,9 @@
 !
 ! Current revisions:
+! ------------------
+! unused variables removed
+!
+! Former revisions:
 ! -----------------
-!
-! Former revisions:
-! ---------------------
 ! $Id$
 !
@@ -73,6 +74,6 @@
 
     INTEGER ::  ampl, dummy1, dummy2, factor, i, ifieldmax, ifieldmax_l, &
-                ifieldmin, ifieldmin_l, ii, j, k, length, nfree, npack, nsize, &
-                nx, ny, nz, pos, startpos
+                ifieldmin, ifieldmin_l, ii, length, nfree, npack, nsize, &
+                nx, ny, nz, startpos
     INTEGER(ip4) ::  imask (32)
     INTEGER(ip4), DIMENSION(:), ALLOCATABLE ::  ifield, packed_ifield