Index: palm/trunk/SOURCE/advec_s_bc.f90
===================================================================
--- palm/trunk/SOURCE/advec_s_bc.f90	(revision 1092)
+++ palm/trunk/SOURCE/advec_s_bc.f90	(revision 1093)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/check_open.f90
===================================================================
--- palm/trunk/SOURCE/check_open.f90	(revision 1092)
+++ palm/trunk/SOURCE/check_open.f90	(revision 1093)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 1092)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 1093)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1069 2012-11-28 16:18:43Z maronga
Index: palm/trunk/SOURCE/close_file.f90
===================================================================
--- palm/trunk/SOURCE/close_file.f90	(revision 1092)
+++ palm/trunk/SOURCE/close_file.f90	(revision 1093)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/cpu_statistics.f90
===================================================================
--- palm/trunk/SOURCE/cpu_statistics.f90	(revision 1092)
+++ palm/trunk/SOURCE/cpu_statistics.f90	(revision 1093)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- palm/trunk/SOURCE/data_output_mask.f90	(revision 1092)
+++ palm/trunk/SOURCE/data_output_mask.f90	(revision 1093)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/data_output_profiles.f90
===================================================================
--- palm/trunk/SOURCE/data_output_profiles.f90	(revision 1092)
+++ palm/trunk/SOURCE/data_output_profiles.f90	(revision 1093)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/data_output_tseries.f90
===================================================================
--- palm/trunk/SOURCE/data_output_tseries.f90	(revision 1092)
+++ palm/trunk/SOURCE/data_output_tseries.f90	(revision 1093)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/diffusion_s.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_s.f90	(revision 1092)
+++ palm/trunk/SOURCE/diffusion_s.f90	(revision 1093)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/exchange_horiz_2d.f90
===================================================================
--- palm/trunk/SOURCE/exchange_horiz_2d.f90	(revision 1092)
+++ palm/trunk/SOURCE/exchange_horiz_2d.f90	(revision 1093)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/fft_xy.f90
===================================================================
--- palm/trunk/SOURCE/fft_xy.f90	(revision 1092)
+++ palm/trunk/SOURCE/fft_xy.f90	(revision 1093)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! variable sizw declared for NEC case only
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! variable sizw declared for NEC case only
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 1092)
+++ palm/trunk/SOURCE/header.f90	(revision 1093)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/inflow_turbulence.f90
===================================================================
--- palm/trunk/SOURCE/inflow_turbulence.f90	(revision 1092)
+++ palm/trunk/SOURCE/inflow_turbulence.f90	(revision 1093)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 1092)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 1093)
@@ -23,9 +23,12 @@
 ! Current revisions:
 ! ------------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1065 2012-11-22 17:42:36Z hoffmann
Index: palm/trunk/SOURCE/init_grid.f90
===================================================================
--- palm/trunk/SOURCE/init_grid.f90	(revision 1092)
+++ palm/trunk/SOURCE/init_grid.f90	(revision 1093)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1069 2012-11-28 16:18:43Z maronga
Index: palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- palm/trunk/SOURCE/init_pegrid.f90	(revision 1092)
+++ palm/trunk/SOURCE/init_pegrid.f90	(revision 1093)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1056 2012-11-16 15:28:04Z raasch
Index: palm/trunk/SOURCE/local_tremain_ini.f90
===================================================================
--- palm/trunk/SOURCE/local_tremain_ini.f90	(revision 1092)
+++ palm/trunk/SOURCE/local_tremain_ini.f90	(revision 1093)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/lpm_collision_kernels.f90
===================================================================
--- palm/trunk/SOURCE/lpm_collision_kernels.f90	(revision 1092)
+++ palm/trunk/SOURCE/lpm_collision_kernels.f90	(revision 1093)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1071 2012-11-29 16:54:55Z franke
Index: palm/trunk/SOURCE/lpm_droplet_collision.f90
===================================================================
--- palm/trunk/SOURCE/lpm_droplet_collision.f90	(revision 1092)
+++ palm/trunk/SOURCE/lpm_droplet_collision.f90	(revision 1093)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1071 2012-11-29 16:54:55Z franke
Index: palm/trunk/SOURCE/lpm_droplet_condensation.f90
===================================================================
--- palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 1092)
+++ palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 1093)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-!
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1071 2012-11-29 16:54:55Z franke
Index: palm/trunk/SOURCE/lpm_init.f90
===================================================================
--- palm/trunk/SOURCE/lpm_init.f90	(revision 1092)
+++ palm/trunk/SOURCE/lpm_init.f90	(revision 1093)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/microphysics.f90
===================================================================
--- palm/trunk/SOURCE/microphysics.f90	(revision 1092)
+++ palm/trunk/SOURCE/microphysics.f90	(revision 1093)
@@ -1,12 +1,32 @@
  MODULE microphysics_mod
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------!
+! This file is part of PALM.
+!
+! PALM is free software: you can redistribute it and/or modify it under the terms
+! of the GNU General Public License as published by the Free Software Foundation,
+! either version 3 of the License, or (at your option) any later version.
+!
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
+! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with
+! PALM. If not, see <http://www.gnu.org/licenses/>.
+!
+! Copyright 1997-2012  Leibniz University Hannover
+!--------------------------------------------------------------------------------!
+!
 ! Current revisions:
 ! ------------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
+! file put under GPL
 !
 ! 1065 2012-11-22 17:42:36Z hoffmann
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 1092)
+++ palm/trunk/SOURCE/modules.f90	(revision 1093)
@@ -20,5 +20,4 @@
 ! Current revisions:
 ! ------------------
-! character length in some derived type changed for better alignment
 ! test: different dpk definition for CUDA FFT
 !
@@ -26,4 +25,7 @@
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! character length in some derived type changed for better alignment
 !
 ! 1065 2012-11-22 17:42:36Z hoffmann
Index: palm/trunk/SOURCE/netcdf.f90
===================================================================
--- palm/trunk/SOURCE/netcdf.f90	(revision 1092)
+++ palm/trunk/SOURCE/netcdf.f90	(revision 1093)
@@ -23,9 +23,12 @@
 ! Current revisions:
 ! ------------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1053 2012-11-13 17:11:03Z hoffmann
Index: palm/trunk/SOURCE/palm.f90
===================================================================
--- palm/trunk/SOURCE/palm.f90	(revision 1092)
+++ palm/trunk/SOURCE/palm.f90	(revision 1093)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 1092)
+++ palm/trunk/SOURCE/parin.f90	(revision 1093)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1065 2012-11-22 17:42:36Z hoffmann
Index: palm/trunk/SOURCE/poisfft.f90
===================================================================
--- palm/trunk/SOURCE/poisfft.f90	(revision 1092)
+++ palm/trunk/SOURCE/poisfft.f90	(revision 1093)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/poismg.f90
===================================================================
--- palm/trunk/SOURCE/poismg.f90	(revision 1092)
+++ palm/trunk/SOURCE/poismg.f90	(revision 1093)
@@ -23,9 +23,12 @@
 ! Current revisions:
 ! -----------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1056 2012-11-16 15:28:04Z raasch
Index: palm/trunk/SOURCE/pres.f90
===================================================================
--- palm/trunk/SOURCE/pres.f90	(revision 1092)
+++ palm/trunk/SOURCE/pres.f90	(revision 1093)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 1092)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 1093)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1053 2012-11-13 17:11:03Z hoffmann
Index: palm/trunk/SOURCE/random_function.f90
===================================================================
--- palm/trunk/SOURCE/random_function.f90	(revision 1092)
+++ palm/trunk/SOURCE/random_function.f90	(revision 1093)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 1092)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 1093)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1065 2012-11-22 17:42:36Z hoffmann
Index: palm/trunk/SOURCE/surface_coupler.f90
===================================================================
--- palm/trunk/SOURCE/surface_coupler.f90	(revision 1092)
+++ palm/trunk/SOURCE/surface_coupler.f90	(revision 1093)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 1092)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 1093)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1065 2012-11-22 17:42:36Z hoffmann
Index: palm/trunk/SOURCE/timestep.f90
===================================================================
--- palm/trunk/SOURCE/timestep.f90	(revision 1092)
+++ palm/trunk/SOURCE/timestep.f90	(revision 1093)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1053 2012-11-13 17:11:03Z hoffmann
Index: palm/trunk/SOURCE/transpose.f90
===================================================================
--- palm/trunk/SOURCE/transpose.f90	(revision 1092)
+++ palm/trunk/SOURCE/transpose.f90	(revision 1093)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: palm/trunk/SOURCE/write_compressed.f90
===================================================================
--- palm/trunk/SOURCE/write_compressed.f90	(revision 1092)
+++ palm/trunk/SOURCE/write_compressed.f90	(revision 1093)
@@ -21,9 +21,12 @@
 ! Current revisions:
 ! ------------------
-! unused variables removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1092 2013-02-02 11:24:22Z raasch
+! unused variables removed
 !
 ! 1036 2012-10-22 13:43:42Z raasch