Index: palm/trunk/SCRIPTS/batch_scp
===================================================================
--- palm/trunk/SCRIPTS/batch_scp	(revision 1094)
+++ palm/trunk/SCRIPTS/batch_scp	(revision 1096)
@@ -22,9 +22,12 @@
 # Current revisions:
 # ------------------
-# new option -P for explicit setting of ssh/scp port
+# 
 #
 # Former revisions:
 # -----------------
 # $Id$
+#
+# 1094 2013-02-03 01:52:12Z raasch
+# new option -P for explicit setting of ssh/scp port
 #
 # 1090 2013-02-02 07:06:13Z raasch 
Index: palm/trunk/SCRIPTS/mbuild
===================================================================
--- palm/trunk/SCRIPTS/mbuild	(revision 1094)
+++ palm/trunk/SCRIPTS/mbuild	(revision 1096)
@@ -27,4 +27,7 @@
 # -----------------
 # $Id$
+#
+# 1096 2013-02-03 01:52:12Z raasch
+# decalpha parts (yonsei) removed
 #
 # 2013-02-02 07:06:13Z raasch
@@ -463,5 +466,4 @@
         (lcxe6)          remote_addres=129.177.20.113;;
         (lcxt5m)         remote_addres=193.166.211.144;;
-        (decalpha)       remote_addres=165.132.26.56;;
         (ibmh)           remote_addres=136.172.40.15;;
         (ibmkisti)       remote_addres=150.183.146.24;;
@@ -993,14 +995,6 @@
              print "[[ ! -d ${remote_md} ]]  &&  (echo \"  *** ${remote_md} will be created\"; mkdir -p  ${remote_md})"  |  ssh ${remote_username}@${remote_addres}  2>&1
           fi
-          if [[ $local_host = decalpha ]]
-          then
-                # DECALPHA BENUTZT BEI NICHTANGABE DES VOLLSTï¿œNDIGEN PFADES
-                # IRGENDEIN ANDERES SCP (WAS NICHT FUNKTIONIERT). AUSSERDEM
-                # KOENNEN DOLLAR-ZEICHEN NICHT BENUTZT WERDEN
-             remote_md=`echo $remote_md | sed 's/\$HOME\///'`
-             /bin/scp  ${local_source_path}/${mainprog}_sources.tar  ${remote_username}@${remote_addres}:${remote_md}/${mainprog}_sources.tar
-          else
-             scp  ${local_source_path}/${mainprog}_sources.tar  ${remote_username}@${remote_addres}:${remote_md}/${mainprog}_sources.tar
-          fi
+
+          scp  ${local_source_path}/${mainprog}_sources.tar  ${remote_username}@${remote_addres}:${remote_md}/${mainprog}_sources.tar
 
 
@@ -1167,14 +1161,5 @@
 
              # KOPIEREN DER SCRIPTE
-          if [[ $local_host = decalpha ]]
-          then
-                # DECALPHA BENUTZT BEI NICHTANGABE DES VOLLSTAENDIGEN PFADES
-                # IRGENDEIN ANDERES SCP (WAS NICHT FUNKTIONIERT). AUSSERDEM
-                # KOENNEN DOLLAR-ZEICHEN NICHT BENUTZT WERDEN
-             remote_ud=`echo $remote_ud | sed 's/\$HOME\///'`
-             /bin/scp  batch_scp mbuild mrun process_dvr_output .dvrserver.config subjob batch_nc2vdf nc2vdf nc2vdf.ncl nc2vdf.config ${remote_username}@${remote_addres}:${remote_ud}/../SCRIPTS  >  /dev/null
-          else
-             scp  batch_scp mbuild mrun process_dvr_output .dvrserver.config subjob batch_nc2vdf nc2vdf nc2vdf.ncl nc2vdf.config ${remote_username}@${remote_addres}:${remote_ud}/../SCRIPTS  >  /dev/null
-          fi
+          scp  batch_scp mbuild mrun process_dvr_output .dvrserver.config subjob batch_nc2vdf nc2vdf nc2vdf.ncl nc2vdf.config ${remote_username}@${remote_addres}:${remote_ud}/../SCRIPTS  >  /dev/null
 
           cd  -  > /dev/null
@@ -1183,14 +1168,5 @@
 
              # KOPIEREN DER UTILITY-PROGRAMME
-          if [[ $local_host = decalpha ]]
-          then
-                # DECALPHA BENUTZT BEI NICHTANGABE DES VOLLSTï¿œNDIGEN PFADES
-                # IRGENDEIN ANDERES SCP (WAS NICHT FUNKTIONIERT). AUSSERDEM
-                # KOENNEN DOLLAR-ZEICHEN NICHT BENUTZT WERDEN
-             remote_ud=`echo $remote_ud | sed 's/\$HOME\///'`
-             /bin/scp  Makefile  *.f90  ${remote_username}@${remote_addres}:${remote_ud}  >  /dev/null
-          else
-             scp  Makefile  *.f90  ${remote_username}@${remote_addres}:${remote_ud}  >  /dev/null
-          fi
+          scp  Makefile  *.f90  ${remote_username}@${remote_addres}:${remote_ud}  >  /dev/null
 
 
Index: palm/trunk/SCRIPTS/mrun
===================================================================
--- palm/trunk/SCRIPTS/mrun	(revision 1094)
+++ palm/trunk/SCRIPTS/mrun	(revision 1096)
@@ -22,10 +22,14 @@
 # Current revisions:
 # ------------------
-# explicit ssh/scp port can be set in config file with environment variable
-# scp_port.  This port is handled to all ssh/scp/batch_scp calls.
+# 
 #
 # Former revisions:
 # -----------------
 # $Id$
+#
+# 1094 2013-02-03 01:52:12Z raasch
+# explicit ssh/scp port can be set in config file with environment variable
+# scp_port.  This port is handled to all ssh/scp/batch_scp calls.
+# decalpha parts (yonsei) removed
 #
 # 2013-02-02 07:06:13Z raasch
@@ -3246,8 +3250,5 @@
           fi
        fi
-       if [[ $localhost = decalpha ]]
-       then
-          dxladebug  a.out
-       elif [[ $localhost = ibmh ]]
+       if [[ $localhost = ibmh ]]
        then
 
@@ -3709,7 +3710,4 @@
 
              fi
-          elif [[ $host = decalpha ]]
-          then
-             dmpirun  -np $numprocs  a.out  $ROPTS
           elif [[ $host = lckyoto ]]
           then
Index: palm/trunk/SCRIPTS/subjob
===================================================================
--- palm/trunk/SCRIPTS/subjob	(revision 1094)
+++ palm/trunk/SCRIPTS/subjob	(revision 1096)
@@ -23,9 +23,13 @@
 # Current revisions:
 # ------------------
-# new option -P for explicit setting of ssh/scp port
+# 
 #
 # Former revisions:
 # -----------------
 # $Id$
+#
+# 1094 2013-02-03 01:52:12Z raasch
+# new option -P for explicit setting of ssh/scp port,
+# decalpha parts (yonsei) removed
 #
 # 2013-02-02 07:06:13Z raasch
@@ -129,5 +133,4 @@
      (gallego)               local_addres=130.75.105.10;  local_host=lcmuk;;
      (gfdl5)                 local_addres=165.132.26.58;  local_host=ibmy;;
-     (gfdl3.yonsei.ac.kr)    local_addres=165.132.26.56;  local_host=decalpha;;
      (gregale)               local_addres=130.75.105.109; local_host=lcmuk;;
      (hababai)               local_addres=130.75.105.108; local_host=lcmuk;;
@@ -1401,10 +1404,5 @@
           job_catalog=/hpf/b/${remote_user}/job_queue
        fi
-       if [[ $local_host = decalpha ]]
-       then
-             # VERWENDUNG VON SCP AUF DECALPHA FRAGT FEHLERHAFTERWEISE
-             # PASSWORT AB
-          /bin/scp  $PORTOPT  $job_to_send  ${remote_user}@${remote_addres}:${job_catalog}/$job_on_remhost
-       elif [[ $remote_host = nech ]]
+       if [[ $remote_host = nech ]]
        then
              # DATEIEN KOENNEN NUR UEBER DEN ARCHIVE-SERVER DES DKRZ