Index: palm/trunk/SCRIPTS/.mrun.config.forwind
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.forwind	(revision 1097)
+++ palm/trunk/SCRIPTS/.mrun.config.forwind	(revision 1098)
@@ -37,5 +37,5 @@
 %mopts             -j:4                                                            lcflow parallel
 %fopts             -xSSE4.2:-O3:-r8:-align:all:-ftz:-fno-alias:-no-scalar-rep:-ip:-nbs:-convert:little_endian                lcflow parallel
-%lopts             -xSSE4.2:-O3:-r8:-align:all:-ftz:-fno-alias:-no-scalar-rep:-ip:-nbs:-Vaxlib                               lcflow parallel
+%lopts             -xSSE4.2:-O3:-r8:-align:all:-ftz:-fno-alias:-no-scalar-rep:-ip:-nbs:-limf:-lm:-Vaxlib                               lcflow parallel
 %login_init_cmd    .:/cm/local/apps/environment-modules/3.2.6/Modules/3.2.6/init/bash\;:MODULEPATH=/cm/shared/modulefiles/   lcflow parallel
 %modules           netcdf/4.2.1.1/intel/64/2011.0.013:netcdf-fortran/4.2/intel/64/2011.0.013:intel/ics/64/2011.0.013:intel/impi/4.0.1.007/64:hdf5/1.8.9/intel/64/2011.0.013:qt4/4.8.2  lcflow parallel 
Index: palm/trunk/SCRIPTS/.mrun.config.imuk
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk	(revision 1097)
+++ palm/trunk/SCRIPTS/.mrun.config.imuk	(revision 1098)
@@ -18,5 +18,5 @@
 %host_identifier   inferno      lcmuk
 #
-# version 02/05/2012
+# version 03/02/2013
 %remote_username   <replace by your IMUK username>                             lcmuk
 #%tmp_user_catalog /home/<replace by your IMUK username>/palm/tmp/             lcmuk
@@ -27,8 +27,8 @@
 %netcdf_lib        -L/muksoft/packages/netcdf/3.6.3/lib:-lnetcdf               lcmuk
 %mopts             -j:4                                                        lcmuk
-%fopts             -fltconsistency:-O3:-cpp:-r8:-nbs:-convert:little_endian    lcmuk
-%lopts             -fltconsistency:-O3:-cpp:-r8:-nbs:-Vaxlib                   lcmuk
+%fopts             -fltconsistency:-O3:-cpp:-r8:-nbs:-convert:little_endian:-diag-disable:8290,8291    lcmuk
+%lopts             -fltconsistency:-O3:-cpp:-r8:-nbs:-lmf:-lm:-Vaxlib          lcmuk
 #
-# version 02/05/2012
+# version 03/02/2013
 %remote_username   <replace by your IMUK username>                             lcmuk parallel
 #%tmp_user_catalog /home/<replace by your IMUK username>/palm/tmp/             lcmuk parallel
@@ -39,9 +39,9 @@
 %netcdf_lib        -L/muksoft/packages/netcdf/3.6.3/lib:-lnetcdf               lcmuk parallel
 %mopts             -j:4                                                        lcmuk parallel
-%fopts             -O3:-cpp:-r8:-fp-model:precise:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcmuk parallel
-%lopts             -O3:-cpp:-r8:-fp-model:precise:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib                 lcmuk parallel
+%fopts             -O3:-cpp:-r8:-fp-model:precise:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian:-diag-disable:8290,8291  lcmuk parallel
+%lopts             -O3:-cpp:-r8:-fp-model:precise:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-limf:-lm:-Vaxlib       lcmuk parallel
 #%hostfile          $base_directory/.hostfile                                  lcmuk parallel
 #
-# version 02/05/2012
+# version 03/02/2013
 %remote_username   <replace by your IMUK username>                             lcmuk parallel trace
 #%tmp_user_catalog /home/<replace by your IMUK username>/palm/tmp/             lcmuk parallel trace
@@ -51,6 +51,6 @@
 %netcdf_inc        -I:/muksoft/packages/netcdf/3.6.3/include            lcmuk parallel trace
 %netcdf_lib        -L/muksoft/packages/netcdf/3.6.3/lib:-lnetcdf        lcmuk parallel trace
-%fopts             -C:-check:nooutput_conversion:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcmuk parallel trace
-%lopts             -C:-check:nooutput_conversion:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib                 lcmuk parallel trace
+%fopts             -C:-check:nooutput_conversion:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian:-diag-disable:8290,8291  lcmuk parallel trace
+%lopts             -C:-check:nooutput_conversion:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-limf:-lm:-Vaxlib       lcmuk parallel trace
 
 %write_binary                true                             restart
Index: palm/trunk/SCRIPTS/.mrun.config.imuk_hlrn
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk_hlrn	(revision 1097)
+++ palm/trunk/SCRIPTS/.mrun.config.imuk_hlrn	(revision 1098)
@@ -43,5 +43,5 @@
 %mopts             -j:4                                          lcmuk parallel
 %fopts             -fpe0:-O3:-r8:-fp-model:precise:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-diag-disable:8290,8291     lcmuk parallel
-%lopts             -fpe0:-O3:-r8:-fp-model:precise:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-diag-disable:8290,8291     lcmuk parallel
+%lopts             -fpe0:-O3:-r8:-fp-model:precise:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-diag-disable:8290,8291:-limf:-lm     lcmuk parallel
 #%hostfile          $base_directory/.hostfile                    lcmuk parallel
 #
@@ -57,6 +57,6 @@
 %netcdf_lib        -L/sw/dataformats/pnetcdf/netcdf-4.1.1-mpt-intel-11.1/lib:-lnetcdf:-lnetcdff:-L/sw/dataformats/phdf5/hdf5-1.8.5-mpt-intel-11.1/lib:-lhdf5:-lhdf5_hl:-lz      lcsgih parallel
 %mopts             -j:4                                       lcsgih parallel
-%fopts             -fpe0:-O3:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgih parallel
-%lopts             -fpe0:-O3:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib:-lmpi           lcsgih parallel
+%fopts             -fpe0:-O3:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian:-diag-disable:8290,8291  lcsgih parallel
+%lopts             -fpe0:-O3:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib:-lmpi:-limf:-lm           lcsgih parallel
 %memory            1500                                       lcsgih parallel
 #%tmp_data_catalog  /gfs2/work/<replace by your HLRN username>/palm_restart_data      lcsgih parallel
@@ -75,6 +75,6 @@
 %netcdf_lib        -L/sw/dataformats/pnetcdf/netcdf-4.1.1-mpt-intel-11.1/lib:-lnetcdf:-lnetcdff:-L/sw/dataformats/phdf5/hdf5-1.8.5-mpt-intel-11.1/lib:-lhdf5:-lhdf5_hl:-lz      lcsgih parallel trace
 %mopts             -j:4                                       lcsgih parallel trace
-%fopts             -override-limits:-C:-ftrapuv:-xS:-debug:extended:-check:nooutput_conversion:-O0:-fpe0:-g:-traceback:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgih parallel trace
-%lopts             -C:-ftrapuv:-xS:-debug:extended:-check:nooutput_conversion:-O0:-fpe0:-g:-traceback:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib:-lmpi           lcsgih parallel trace
+%fopts             -override-limits:-C:-ftrapuv:-xS:-debug:extended:-check:nooutput_conversion:-O0:-fpe0:-g:-traceback:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian:-diag-disable:8290,8291  lcsgih parallel trace
+%lopts             -C:-ftrapuv:-xS:-debug:extended:-check:nooutput_conversion:-O0:-fpe0:-g:-traceback:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib:-lmpi:-limf:-lm           lcsgih parallel trace
 %memory            1500                                       lcsgih parallel trace
 #%tmp_data_catalog  /gfs2/work/<replace by your HLRN username>/palm_restart_data      lcsgih parallel trace
@@ -93,6 +93,6 @@
 %netcdf_lib        -L/sw/dataformats/pnetcdf/netcdf-4.1.1-mpt-intel-11.1/lib:-lnetcdf:-lnetcdff:-L/sw/dataformats/phdf5/hdf5-1.8.5-mpt-intel-11.1/lib:-lhdf5:-lhdf5_hl:-lz      lcsgib parallel
 %mopts             -j:4                                       lcsgib parallel
-%fopts             -fpe0:-O3:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgib parallel
-%lopts             -fpe0:-O3:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib:-lmpi           lcsgib parallel
+%fopts             -fpe0:-O3:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian:-diag-disable:8290,8291  lcsgib parallel
+%lopts             -fpe0:-O3:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib:-lmpi:-limf:-lm           lcsgib parallel
 %memory            1500                                       lcsgib parallel
 #%tmp_data_catalog  /gfs2/work/<replace by your HLRN username>/palm_restart_data      lcsgib parallel
@@ -111,6 +111,6 @@
 %netcdf_lib        -L/sw/dataformats/pnetcdf/netcdf-4.1.1-mpt-intel-11.1/lib:-lnetcdf:-lnetcdff:-L/sw/dataformats/phdf5/hdf5-1.8.5-mpt-intel-11.1/lib:-lhdf5:-lhdf5_hl:-lz      lcsgib parallel trace
 %mopts             -j:4                                       lcsgib parallel trace
-%fopts             -override-limits:-C:-ftrapuv:-xS:-debug:extended:-check:nooutput_conversion:-O0:-fpe0:-g:-traceback:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgib parallel trace
-%lopts             -C:-ftrapuv:-xS:-debug:extended:-check:nooutput_conversion:-O0:-fpe0:-g:-traceback:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib:-lmpi           lcsgib parallel trace
+%fopts             -override-limits:-C:-ftrapuv:-xS:-debug:extended:-check:nooutput_conversion:-O0:-fpe0:-g:-traceback:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian:-diag-disable:8290,8291  lcsgib parallel trace
+%lopts             -C:-ftrapuv:-xS:-debug:extended:-check:nooutput_conversion:-O0:-fpe0:-g:-traceback:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib:-lmpi:-limf:-lm           lcsgib parallel trace
 %memory            1500                                       lcsgib parallel trace
 #%tmp_data_catalog  /gfs2/work/<replace by your HLRN username>/palm_restart_data      lcsgib parallel trace
Index: palm/trunk/SCRIPTS/.mrun.config.imuk_ice2_netcdf4
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk_ice2_netcdf4	(revision 1097)
+++ palm/trunk/SCRIPTS/.mrun.config.imuk_ice2_netcdf4	(revision 1098)
@@ -43,5 +43,5 @@
 %mopts             -j:4                                          lcmuk parallel
 %fopts             -axW:-r8:-nbs:-convert:little_endian:-I:/muksoft_64/packages/mpich2/2.1.0.5/include     lcmuk parallel
-%lopts             -axW:-r8:-nbs:-Vaxlib:-L:/muksoft_64/packages/mpich2/2.1.0.5/lib                    lcmuk parallel
+%lopts             -axW:-r8:-nbs:-Vaxlib:-L:/muksoft_64/packages/mpich2/2.1.0.5/lib:-limf:-lm              lcmuk parallel
 #%hostfile          $base_directory/.hostfile                    lcmuk parallel
 #
@@ -57,5 +57,5 @@
 %mopts             -j:4                                       lcsgih parallel ice2
 %fopts             -xSSE4.2:-fp-model:precise:-O3:-cpp:-r8:-align:all:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgih parallel ice2
-%lopts             -xSSE4.2:-fp-model:precise:-O3:-cpp:-r8:-align:all:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib                 lcsgih parallel ice2
+%lopts             -xSSE4.2:-fp-model:precise:-O3:-cpp:-r8:-align:all:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib:-limf:-lm       lcsgih parallel ice2
 %memory            1500                                       lcsgih parallel ice2
 #%tmp_data_catalog  /gfs2/work/<replace by your HLRN username>/palm_restart_data      lcsgih parallel